Delete all messages marked for deletion

- « imap_errors

- imap_fetch_overview »

- PHP Manual
- IMAP Functions
- Delete all messages marked for deletion

# imap_expunge

(PHP 4, PHP 5, PHP 7, PHP 8)

imap_expunge — Delete all messages marked for deletion

### Description

imap_expunge(IMAP\Connection `$imap`): bool

Deletes all the messages marked for deletion by imap_delete(), imap_mail_move(), or imap_setflag_full().

### Parameters

`imap`

  An IMAP\Connection instance.

### Return Values

Returns `true`.

### Changelog

Version | Description
--- | ---
8.1.0 | The `imap` parameter expects an IMAP\Connection instance now; previously, a valid `imap` resource was expected.